#ifndef __CHFormTextListener_h__
#define __CHFormTextListener_h__

#include <Cocoa/Cocoa.h>

#import "NSString+Utils.h"

#include "nsString2.h"
#include "nsCOMPtr.h"
#include "nsIDOMHTMLInputElement.h"
#include "nsIDOMFormListener.h"

class CHFormTextListener :  public nsIDOMFormListener
{
public:
  CHFormTextListener();
  virtual ~CHFormTextListener();

  NS_DECL_ISUPPORTS
  
  // The DOM form listener interface.  We only care about change events.
  NS_IMETHOD HandleEvent(nsIDOMEvent* aEvent);
  NS_IMETHOD Submit(nsIDOMEvent* aEvent);
  NS_IMETHOD Reset(nsIDOMEvent* aEvent);
  NS_IMETHOD Change(nsIDOMEvent* aEvent);
  NS_IMETHOD Select(nsIDOMEvent* aEvent);
  NS_IMETHOD Input(nsIDOMEvent* aEvent);

private:
	
	nsCOMPtr<nsIDOMHTMLInputElement> lastTarget;
	PRUint32 lastInputLength;
	PRBool lastSearchEmpty;
};


#endif